Name:           kflickr
Version:        0.9
Release:        1%{?dist}
Summary:        Standalone Flickr Uploader for KDE

Group:          Applications/Internet
License:        GPLv2+
URL:            http://kflickr.sourceforge.net 
Source0:        http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel  >= 3.4, desktop-file-utils, gettext
Requires:       kdebase >= 3.4


%description
kflickr is an easy to use photo uploader for flickr written for KDE.

%prep
%setup -q

# Make desktop file UTF compat
for file in src/kflickr.desktop ; do
  iconv -f ISO-8859-5 -t UTF-8 $file > $file.tmp && \
    mv $file.tmp $file || rm -f $file.tmp
done

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Desktop file
desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications \
--vendor=fedora \
--add-category=X-Fedora \
--delete-original \
$RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/kflickr.desktop

# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
   lang=$(basename $lang_dir)
   echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi

# Fix a symlink and make it relative
pushd $RPM_BUILD_ROOT/%{_datadir}/doc/HTML/en/kflickr
rm -f common
ln -s ../../en/common common
popd

# Get rid of source files
rm -rf $RPM_BUILD_ROOT/usr/src/debug



%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/crystalsvg || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/crystalsvg || :


%files  -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README 

%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_libdir}/kde3/*
%{_datadir}/apps/kflickr/*
%{_datadir}/apps/kflickrpart/*
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/services/*



%changelog
* Tue Sep 18 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9-1
- License updated per new guidelines 
- Bump for upstream release (0.9)

* Mon May 14 2007 Michael Stahnke <mastahnke@gmail.com> - 0.8-3
- Final touch-up for review bug # 237355

* Mon May 14 2007 Michael Stahnke <mastahnke@gmail.com> - 0.8-2
- Minor fix for bug # 237355

* Thu Apr 19 2006 Michael Stahnke <mastahnke@gmail.com> - 0.8-1
- Initial Package
